package com.tsi.api.server.controller.result;

public enum TscApiResultCode {

    SUCCESS(1000),                  // 성공
    FAIL_UNDEFINED(9900),           // 분류되지 않은 에러
    FAIL_INTERNAL_ERROR(9901),      // TSI-Hub 시스템 내부 에러
    FAIL_APITOKEN_AUTH(9911),       // apiToken 사용권한 없음
    FAIL_APITOKEN_EXPIRED(9912),    // apiToken 유효기간 만료
    FAIL_UNREGI_IPADDR(9913),       // 미등록 IP 에서 접근
    DATA_NOT_FOUND(9914);           // 데이터가 존재하지 않음

    private final int value;

    TscApiResultCode(int value) {
        this.value = value;
    }

    public int getValue() {
        return this.value;
    }
}
